Name:           ballz
Version:        1.0.2
Release:        15%{?dist}
Summary:        Platform game with some puzzle elements
Group:          Amusements/Games
License:        BSD
URL:            http://code.google.com/p/db-tins07/
Source0:        http://db-tins07.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:  allegro-devel dumb-devel guichan-devel desktop-file-utils

%description
Ballz is a platformer with some puzzle elements. You take control of a ball
which is genetically modified by the British secret service. Your mission is
to rescue captured British soldiers from a prison in Iran.

The game was written in 72 hours for the TINS competition, a competition
similar to Speedhack. The name TINS is an recursive acronym for ‘TINS is
not Speedhack’.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ravi Srinivasan <ravishankar.srinivasan@gmail.com> -->
<!--
BugReportURL: https://code.google.com/p/db-tins07/issues/detail?id=1
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">ballz.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>A platform game with puzzle elements</summary>
  <description>
    <p>
      Ballz is a platformer with some puzzle elements.
      You take control of a ball which is genetically modified by the British
      secret service.
    </p>
    <p>
      Your mission is to rescue captured British soldiers from a prison in Iran.
    </p>
  </description>
  <url type="homepage">http://code.google.com/p/db-tins07/</url>
  <screenshots>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/ballz/a.png</screenshot>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/ballz/b.png</screenshot>
  </screenshots>
</application>
EOF

%files
%doc AUTHORS README BSD-license ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man6/*


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.2-14
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.0.2-13
- Add an AppData file for the software center

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Hans de Goede <hdegoede@redhat.com> - 1.0.2-9
- Remove no longer needed autoreconf call, %%configure from redhat-rpm-config
  >= 9.1.0-42 updates config.guess and config.sub for new architecture support

* Mon Apr 29 2013 Hans de Goede <hdegoede@redhat.com> - 1.0.2-8
- run autoreconf for aarch64 support (rhbz#925077)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 21 2012 Jon Ciesla <limburgher@gmail.com> - 1.0.2-5
- guichan rebuild.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 18 2011 Bruno Wolff III <bruno@wolff.to> 1.0.2-2
- Keep rawhide version ahead of f15

* Sat Jul 16 2011 Bruno Wolff III <bruno@wolff.to> 1.0.2-1
- Update to upstream 1.0.2
- Minor bug fixes

* Thu Jul 14 2011 Bruno Wolff III <bruno@wolff.to> 1.0.1-6
- Rebuild for allegro 4.4

* Fri May 27 2011 Bruno Wolff III <bruno@wolff.to> 1.0.1-5
- Rebuild for guichan soname bump

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 15 2008 Sylvain Beucler <beuc@beuc.net> - 1.0.1-1
- New upstream release that includes all patches and simplifies packaging

* Wed Jul 30 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-4
- Rebuild for new guichan

* Sat Apr  5 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-3
- Rebuild for new guichan

* Fri Feb 15 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-2
- Fix Source0 and URL for upstream's site disappearing
- Rebuild for gcc 4.3

* Tue Apr 17 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- Initial Fedora Extras package
